Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3812 - ncurses does not change to nonblocking, no echo mode
Summary: ncurses does not change to nonblocking, no echo mode
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ncurses
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-29 19:15 UTC by hamiltok
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-23 17:08:41 UTC


Attachments (Terms of Use)

Description hamiltok 1999-06-29 19:15:11 UTC
I have a program using curses that needs to change the
terminal to b-break mode and non blocking character reads.
The program worked properly with Red Hat 5.2 on an Alpha.
With Redhat 6.0 on an Intel machine (kernels 2.2.9 and
2.2.10), if cannot change to nonblocking mode and the wgetch
is completely screwed up. It is just hanging the program at
a call to wgetch. It registers alright trying to switch into
nonblocking mode but after that when I try to read
characters, it does not work.

Comment 1 Cristian Gafton 1999-07-28 07:37:59 UTC
Can we get a small example that will help us debug the problem?

assigned to jbj

Comment 2 Preston Brown 1999-08-29 15:17:59 UTC
assigned to myself, still waiting on a small test program.

Comment 3 Preston Brown 1999-09-23 17:08:59 UTC
lack of feedback from user, bug closed.  Reopen if you have some more
input.


Note You need to log in before you can comment on or make changes to this bug.